Subject: bug#59828: Fundamental Mode buffers fail to keep text properties

From: Heime <[email-masked]>
Date: Thu, 08 Dec 2022 13:00:11 +0000

------- Original Message -------
On Wednesday, December 7th, 2022 at 12:53 AM, Heime via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> ------- Original Message -------
> On Tuesday, December 6th, 2022 at 5:41 AM, Yuan Fu [email-masked] wrote:
> 
> 
> 
> > > > > Just to clarify:
> > > > > 
> > > > > 1. If font-lock-mode is off, you should use (propertize … ‘face …)
> > > > > 2. If font-lock-mode is on, you should use (propertize … ‘font-lock-face …)
> > > 
> > > If I have a function that does the inserts, should I include the two different conditions,
> > > whether "font-lock-mode" in "off" or "on" ?
> > > 
> > > Test whether font-lock-mode is off, then use (propertize … ‘face …)
> > > Test whether font-lock-mode is on, then use (propertize … ‘font-lock-face …)
> > 
> > It depends on your use-case. If you want to be safe you can just apply both properties, then it will work no matter font-lock-mode is on or not.
> > 
> > Yuan
 
I thought the procedure is to enable "font-lock-mode", followed by  
(propertize "G" 'font-lock-face '(:foreground "black")).  Finally disabling "font-lock-mode" in that buffer.